summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Jackson <mjo@gentoo.org>2010-03-17 21:54:35 +0000
committerMartin Jackson <mjo@gentoo.org>2010-03-17 21:54:35 +0000
commit1c5de9c146ee882c1ad97c5c863c777d51ba3c10 (patch)
tree86b24fa5ada3da622cd79bac17d2cccce6c70869 /net-mail/amavis-logwatch/amavis-logwatch-1.50.02.ebuild
parentdev-python/pymongo: Version bump. Remove redundant test code (diff)
downloadsunrise-1c5de9c146ee882c1ad97c5c863c777d51ba3c10.tar.gz
sunrise-1c5de9c146ee882c1ad97c5c863c777d51ba3c10.tar.bz2
sunrise-1c5de9c146ee882c1ad97c5c863c777d51ba3c10.zip
net-mail/amavis-logwatch: New ebuild to address bug 309077.
svn path=/sunrise/; revision=10297
Diffstat (limited to 'net-mail/amavis-logwatch/amavis-logwatch-1.50.02.ebuild')
-rw-r--r--net-mail/amavis-logwatch/amavis-logwatch-1.50.02.ebuild49
1 files changed, 49 insertions, 0 deletions
diff --git a/net-mail/amavis-logwatch/amavis-logwatch-1.50.02.ebuild b/net-mail/amavis-logwatch/amavis-logwatch-1.50.02.ebuild
new file mode 100644
index 000000000..c87c7f948
--- /dev/null
+++ b/net-mail/amavis-logwatch/amavis-logwatch-1.50.02.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DESCRIPTION="A log analyzer for amavisd-new"
+HOMEPAGE="http://www.mikecappella.com/logwatch/"
+SRC_URI="${HOMEPAGE}/release/${P}.tgz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="logwatch"
+
+DEPEND="dev-lang/perl"
+RDEPEND="${DEPEND}"
+
+src_compile() {
+ # The default make target just outputs instructions. We don't want
+ # the user to see these, so we avoid emake.
+ :
+}
+
+src_install() {
+ # There are two different "versions" of the package in the
+ # tarball: a standalone executable and a logwatch filter. The
+ # standalone is always installed. However, the logwatch filter is
+ # only installed with USE="logwatch".
+ dodoc Bugs Changes README || die "failed to install documentation"
+ doman ${PN}.1 || die "failed to install man page"
+ dohtml ${PN}.1.html || die "failed to install html documentation"
+ dobin ${PN} || die "failed to install executable"
+ insinto /etc
+ doins ${PN}.conf || die "failed to install config file"
+
+ if use logwatch; then
+ # Remove the taint mode (-T) switch from the header of the
+ # standalone executable, and save the result as our logwatch
+ # filter.
+ sed 's~^#!/usr/bin/perl -T$~#!/usr/bin/perl~' ${PN} > amavis \
+ || die "failed to remove the perl taint switch"
+
+ insinto /etc/logwatch/scripts/services
+ doins amavis || die "failed to install the 'amavis' logwatch filter"
+
+ insinto /etc/logwatch/conf/services
+ newins ${PN}.conf amavis.conf \
+ || die "failed to install the logwatch 'amavis.conf' file"
+ fi
+}